function onBuildEntity(event)
	-- Check if entity is jd-sign-post
	if event.created_entity.name == "jd-sign-post-prebuild" then
		-- Save position
		local position = event.created_entity.position
		-- Remove entity
		event.created_entity.destroy()
		-- Create jd-sign-post entity
		local entity = game.surfaces[1].create_entity{
			name = "jd-sign-post",
			position = position,
			force = game.players[event.player_index].force
		}
		-- Disable rotation
		entity.rotatable = false
	end
end

script.on_event(defines.events.on_built_entity, onBuildEntity)